<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
            integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@openfonts/titillium-web_latin@1.44.2/index.min.css">
    <link rel="stylesheet" href="https://cdn.form.io/formiojs/formio.full.min.css">
    <script src="https://cdn.form.io/formiojs/formio.full.min.js"></script>
    <script type="text/javascript">
      window.onload = function() {
        Formio.createForm(document.getElementById('formio'), '{{ payment_schema_url }}', {
          language: 'it',
          i18n: {
            it: {
              complete: 'Invio Completato',
              error: 'Per favore correggi i seguenti errori prima di inviare.',
              submitError: 'Per favore controlla il form e correggi tutti gli errori prima di inviare.',
              minLength: 'Inserisci 18 cifre',
              'Drop files to attach,': 'Trascina qui il file da caricare,',
              'or': 'oppure',
              'browse': 'cercalo nel tuo PC',
              'File Name': 'Nome del file',
              'Size': 'Dimensione',
              'File is too big; it must be at most {{ size }}': 'La dimensione del file selezionato supera la dimensione massima consentita di {{ size }}.',
              'File is too small; it must be at least {{ size }}': 'La dimensione del file selezionato è inferiore alla dimensione minima consentita di {{ size }}.',
              'File is the wrong type; it must be {{ pattern }}': 'Il formato del file selezionato non è corretto: deve essere {{ pattern }}',
              characters: 'caratteri'
            }
          }
        }).then(function(form) {
          // Prevent the submission from going to the form.io server.
          form.nosubmit = true;

          // Register for the submit event to get the completed submission.
          form.on('submit', function(submission) {
            console.log(submission);
            return Formio.fetch('{{ landing_url }}', {
              body: JSON.stringify(submission),
              headers: {
                'content-type': 'application/json'
              },
              credentials: 'include',
              method: 'POST',
              mode: 'cors',
              redirect: 'follow'
            })
            .then(function(response) {
              response.json().then(function(data) {
                form.emit('submitDone', submission)
                window.location.href = data['return_url'];
              });
            });
          });
        });
      };
    </script>
    <style>
      body {
        font-family: 'Titillium Web', 'Titillium Web', 'Titillium Web', sans-serif;
        margin: 0;
        padding: 0 50pt;
        color: #222;
      }
    </style>
    <title>Pagamento</title>
  </head>
  <body>
    <br>
    <div class="container">
      <div class="alert alert-info p-3">
        {% if not is_paid %}
          <strong>Per procedere al pagamento:</strong>
          <ul class="mb-0">
            <li>Clicca su "Vai al pagamento". Sarai rediretto a un portale esterno dove completare l'operazione.</li>
            <li>Una volta pagato, torna su questa pagina e inserisci lo IUV e la ricevuta del pagamento appena eseguito.</li>
            <li>Clicca infine su "Salva e torna alla pratica".</li>
          </ul>
        {% else %}
          <p class="mb-0">Sembra che tu abbia già pagato. Inserisci lo IUV e carica la ricevuta. Clicca quindi su "Salva e torna alla pratica".</p>
        {% endif %}
      </div>
      {% if not is_paid %}
        <div class="card w-100 border-0 shadow p-3 mb-5 bg-white rounded">
          <div class="card-body">
            <div class="row">
              <div class="col-md-8">
                <h2><b>Paga ora</b></h2>
              </div>
              <div class="col-md-4">
                <img src="https://checkout.pagopa.it/pagopa-logo.18e45e9d.svg" class="pull-right img-responsive" alt="pagoPA" aria-hidden="true" style="width: 66px; height: 44px;">
              </div>
            </div>
            <hr/>
            <h4><b>Causale pagamento:</b> {{ reason }}</h4><p></p>
            <h4><b>Importo:</b> {{ amount }}€</h4><p></p>
            <a role="button" class="btn btn-primary btn-lg" target="_blank" href="{{ payment_link }}">
              Vai al pagamento
              <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-box-arrow-up-right" viewBox="0 0 16 16">
                <path fill-rule="evenodd" d="M8.636 3.5a.5.5 0 0 0-.5-.5H1.5A1.5 1.5 0 0 0 0 4.5v10A1.5 1.5 0 0 0 1.5 16h10a1.5 1.5 0 0 0 1.5-1.5V7.864a.5.5 0 0 0-1 0V14.5a.5.5 0 0 1-.5.5h-10a.5.5 0 0 1-.5-.5v-10a.5.5 0 0 1 .5-.5h6.636a.5.5 0 0 0 .5-.5z"/>
                <path fill-rule="evenodd" d="M16 .5a.5.5 0 0 0-.5-.5h-5a.5.5 0 0 0 0 1h3.793L6.146 9.146a.5.5 0 1 0 .708.708L15 1.707V5.5a.5.5 0 0 0 1 0v-5z"/>
              </svg>
            </a>
          </div>
        </div>
      {% endif %}

      <div class="card w-100 border-0 shadow p-3 mb-5 bg-white rounded">
        <div class="card-body">
          <div class="row">
            <div class="col-md-8">
              {% if not is_paid %}
                <h2><b>Hai pagato? Carica la ricevuta</b></h2>
              {% else %}
                <h2><b>Hai già pagato! Carica la ricevuta</b></h2>
              {% endif %}
            </div>
            <div class="col-md-4">
              <img src="https://gitlab.com/uploads/-/system/project/avatar/11872470/Avatar_opencity__1_.png?width=64" class="pull-right img-responsive" alt="OpencityItalia" aria-hidden="true">
            </div>
          </div>
          <hr/>
          <div id="formio"></div>
        </div>
      </div>
    </div>
  </body>
</html>
